Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(66)

Unified Diff: third_party/pkg/angular/scripts/travis/setup.sh

Issue 148453003: Updating Angular version (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 6 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/pkg/angular/scripts/travis/build.sh ('k') | third_party/pkg/angular/test/_specs.dart » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/pkg/angular/scripts/travis/setup.sh
diff --git a/third_party/pkg/angular/scripts/travis/setup.sh b/third_party/pkg/angular/scripts/travis/setup.sh
new file mode 100755
index 0000000000000000000000000000000000000000..9836cbd2fbcb921c0221b40672d631d581def172
--- /dev/null
+++ b/third_party/pkg/angular/scripts/travis/setup.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+set -e
+
+case $( uname -s ) in
+ Linux)
+ DART_SDK_ZIP=dartsdk-linux-x64-release.zip
+ DARTIUM_ZIP=dartium-linux-x64-release.zip
+ ;;
+ Darwin)
+ DART_SDK_ZIP=dartsdk-macos-x64-release.zip
+ DARTIUM_ZIP=dartium-macos-ia32-release.zip
+ ;;
+esac
+
+CHANNEL=`echo $JOB | cut -f 2 -d -`
+echo Fetch Dart channel: $CHANNEL
+
+echo http://storage.googleapis.com/dart-archive/channels/$CHANNEL/release/latest/sdk/$DART_SDK_ZIP
+curl http://storage.googleapis.com/dart-archive/channels/$CHANNEL/release/latest/sdk/$DART_SDK_ZIP > $DART_SDK_ZIP
+echo Fetched new dart version $(unzip -p $DART_SDK_ZIP dart-sdk/version)
+rm -rf dart-sdk
+unzip $DART_SDK_ZIP > /dev/null
+rm $DART_SDK_ZIP
+
+echo http://storage.googleapis.com/dart-archive/channels/$CHANNEL/raw/latest/dartium/$DARTIUM_ZIP
+curl http://storage.googleapis.com/dart-archive/channels/$CHANNEL/raw/latest/dartium/$DARTIUM_ZIP > $DARTIUM_ZIP
+unzip $DARTIUM_ZIP > /dev/null
+rm -rf dartium
+rm $DARTIUM_ZIP
+mv dartium-* dartium
+
+echo =============================================================================
+. ./scripts/env.sh
+$DART --version
+$PUB install
« no previous file with comments | « third_party/pkg/angular/scripts/travis/build.sh ('k') | third_party/pkg/angular/test/_specs.dart » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698